--【导例9.6】 事务：从[杨百万]账户转给[邱发财]账户8万元。
if exists (select * from dbo.sysobjects where id = object_id(N'[银行账户表]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [银行账户表]
go
create table 银行账户表
	(账号 char(6), 账户 nchar(10), 存款余额 money)
insert 银行账户表(账号, 账户, 存款余额)
	values ('100001','杨百万',1000000)
insert 银行账户表(账号, 账户, 存款余额) 
	values ('100002','李有财',80000)
insert 银行账户表(账号, 账户, 存款余额) 
	values ('100003','邱发财',10)
select * from 银行账户表
update 银行账户表 set 存款余额=存款余额-80000 where 账号='100001'
update 银行账户表 set 存款余额=存款余额+80000 where 账号='100003'
select * from 银行账户表
